CriteriaQueryCompiler.RenderingContext (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface CriteriaQueryCompiler.RenderingContext

Enclosing class:
  CriteriaQueryCompiler

    public static interface CriteriaQueryCompiler.RenderingContext

Used to provide a context and services to the rendering.

Method Summary
`String` | `generateAlias()` Generate a correlation name.
`String` | `getCastType(Class javaType)` Given a java type, determine the proper cast type name.
`String` | `registerExplicitParameter(ParameterExpression<?> criteriaQueryParameter)` Register parameters explicitly encountered in the criteria query.
`String` | `registerLiteralParameterBinding(Object literal, Class javaType)` Register a parameter that was not part of the criteria query (at least not as a parameter).

Method Detail

### generateAlias

    String generateAlias()

  Generate a correlation name.

  Returns:
    The generated correlation name

### registerExplicitParameter

    String registerExplicitParameter(ParameterExpression<?> criteriaQueryParameter)

  Register parameters explicitly encountered in the criteria query.

  Parameters:
    `criteriaQueryParameter` - The parameter expression
  Returns:
    The JPA-QL parameter name

### registerLiteralParameterBinding

    String registerLiteralParameterBinding(Object literal,
                                           Class javaType)

  Register a parameter that was not part of the criteria query (at least not as a parameter).

  Parameters:
    `literal` - The literal value
    `javaType` - The java type as whcih to handle the literal value.
  Returns:
    The JPA-QL parameter name

### getCastType

    String getCastType(Class javaType)

  Given a java type, determine the proper cast type name.

  Parameters:
    `javaType` - The java type.
  Returns:
    The cast type name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.